import { JustifyContentSetting, Size } from "./types";
import { FC } from "react";
export interface PaginationProps {
    numPages: number;
    pageNum: number;
    numButtons: number;
    setPageNum: (pageNum: number) => void;
    ariaLabel?: string;
    alignment?: JustifyContentSetting;
    size?: Size;
}
/**
 * An interactive pagination component that parameterizes Bootstrap styling
 * options as props.
 * @param numPages - Total number of pages
 * @param numButtons - Number of buttons of numerical indices to show at once
 * @param pageNum - The currently selected page
 * @param setPageNum - Callback function to set the selected page
 * @param ariaLabel - Aria label of the <nav> element
 * @param alignment - Flexbox justify-content setting on the <ul> element
 * @param size - Size variant of the <ul> element
 */
declare const Pagination: FC<PaginationProps>;
export default Pagination;
